Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 595569 - /sbin/device_cio_free needs to clear $DEVICE at start
Summary: /sbin/device_cio_free needs to clear $DEVICE at start
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: s390utils
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Dan Horák
QA Contact: Yulia Kopkova
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-25 02:19 UTC by David Cantrell
Modified: 2010-11-10 22:18 UTC (History)
3 users (show)

Fixed In Version: s390utils-1.8.2-25.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 22:18:44 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description David Cantrell 2010-05-25 02:19:35 UTC
The device_cio_ignore command needs to clear $DEVICE at run time, or else it inherits from the environment when it runs.

For example, when I do:

    /sbin/zfcp_cio_free -d 0.0.a002

From inside the installation environment, zfcp_cio_free appends 0.0.a002 to $DEVICE because $DEVICE is set to 'eth0' by /sbin/init, so it tries to free this list:

    "eth0,0.0.a002"

Adding:

    DEVICE=

to the top of the script should fix this up.

Comment 2 Dan Horák 2010-05-28 08:29:57 UTC
fixed in upstream commit 5655284a (http://fedorapeople.org/gitweb?p=sharkcz/public_git/utils.git;a=summary)

Comment 5 releng-rhel@redhat.com 2010-11-10 22:18:44 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.